Exercise Class Reference

Base exercise class. More...

`#include <ql/exercise.hpp>`

Inheritance diagram for Exercise:
[legend]

## Public Types

enum | Type { American, Bermudan, European }

## Public Member Functions

| Exercise (Type type)
Type | type () const
Date | date (Size index) const
Date | dateAt (Size index) const
const std::vector< Date > & | dates () const
| Returns all exercise dates.
Date | lastDate () const

## Protected Attributes

std::vector< Date > | dates_
Type | type_

## Detailed Description

Base exercise class.